macOS에서 pyenv로 python 설치시 오류 발생

현재 내가 사용하고 있는 MBPR의 macOS 버전은 10.14.4(베타)이다. 개인 작업을 하려고 pyenv로 python 3.7.2 버전을 설치하려고 하니 다음과 같은 오류가 발생했다. 글링을 해보니 macOS 10.14(Mojave)에서 발생하는 오류로 pyenv issue로 등록이 되었다고 한다. 원인은 Xcode 10부터는  Command line tools에서 /include에 헤더파일을 설치하지 않아서 발생한다고 한다.명색이 애플 유료 개발자인데, 전혀 몰랐다.😑 관련 애플 문서 참고. The command더 보기